Debian Bug report logs - #433357
ncurses-bin: breaks the whole system when usplash is installed

version graph

Package: ncurses-bin; Maintainer for ncurses-bin is Craig Small <csmall@debian.org>; Source for ncurses-bin is src:ncurses.

Reported by: Florent Bayle <florent@sarcelle.net>

Date: Mon, 16 Jul 2007 15:30:02 UTC

Severity: critical

Found in version ncurses/5.6+20070714-1

Fixed in version ncurses/5.6+20070716-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maximilian Attems <maks@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Härdeman <david@hardeman.nu>, Chris Lawrence <lawrencc@debian.org>, Daniel Baumann <daniel@debian.org>:
Bug#433357; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent@sarcelle.net>:
New Bug report received and forwarded. Copy sent to Maximilian Attems <maks@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Härdeman <david@hardeman.nu>, Chris Lawrence <lawrencc@debian.org>, Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent@sarcelle.net>
To: submit@bugs.debian.org, Florent Bayle <florent@sarcelle.net>
Subject: ncurses-bin: breaks the whole system when usplash is installed
Date: Mon, 16 Jul 2007 17:26:46 +0200
Package: ncurses-bin
Version: 5.6+20070714-1
Severity: critical
Justification: breaks the whole system

Hi,

Since I've upgraded ncurses-bin (and other ncurses packages) to the lastest
version, my whole system is broken.
Lots of init scripts are failing :
# invoke-rc.d networking restart
 * Reconfiguring network interfaces...       /usr/bin/tput: invalid option -- 2
usage: tput [-V] [-S] [-T term] capname
invoke-rc.d: initscript networking, action "restart" failed.
#

It seems that this bug is related to :
 - ncurses-bin: tput now fails at boot time since the last upgrade
 - lsb-base: calls tput
 - usplash: activate "fancy boot messages" in lsb-base.
Please note that if I remove usplash or if I downgrade ncurses, my system
works as usual.

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#433357; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 433357@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Florent Bayle <florent@sarcelle.net>, 433357@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#433357: ncurses-bin: breaks the whole system when usplash is installed
Date: Mon, 16 Jul 2007 11:57:39 -0400 (EDT)
On Mon, 16 Jul 2007, Florent Bayle wrote:

> Package: ncurses-bin
> Version: 5.6+20070714-1
> Severity: critical
> Justification: breaks the whole system
>
> Hi,
>
> Since I've upgraded ncurses-bin (and other ncurses packages) to the lastest
> version, my whole system is broken.
> Lots of init scripts are failing :
> # invoke-rc.d networking restart
> * Reconfiguring network interfaces...       /usr/bin/tput: invalid option -- 2
> usage: tput [-V] [-S] [-T term] capname

tput's command-line parsing hasn't changed since before 5.6 (December).
(what was the previous version you had installed?).

Did usplash change recently?

> invoke-rc.d: initscript networking, action "restart" failed.
> #
>
> It seems that this bug is related to :
> - ncurses-bin: tput now fails at boot time since the last upgrade
> - lsb-base: calls tput
> - usplash: activate "fancy boot messages" in lsb-base.
> Please note that if I remove usplash or if I downgrade ncurses, my system
> works as usual.
>
> -- 
> Florent
>
>
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#433357; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent@sarcelle.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #15 received at 433357@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent@sarcelle.net>
To: 433357@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#433357: ncurses-bin: breaks the whole system when usplash is installed
Date: Mon, 16 Jul 2007 18:35:27 +0200
[Message part 1 (text/plain, inline)]
Le lundi 16 juillet 2007, vous avez écrit :
> On Mon, 16 Jul 2007, Florent Bayle wrote:
> 
> > Package: ncurses-bin
> > Version: 5.6+20070714-1
> > Severity: critical
> > Justification: breaks the whole system
> >
> > Hi,
> >
> > Since I've upgraded ncurses-bin (and other ncurses packages) to the lastest
> > version, my whole system is broken.
> > Lots of init scripts are failing :
> > # invoke-rc.d networking restart
> > * Reconfiguring network interfaces...       /usr/bin/tput: invalid option -- 2
> > usage: tput [-V] [-S] [-T term] capname
> 
> tput's command-line parsing hasn't changed since before 5.6 (December).
> (what was the previous version you had installed?).
> 
> Did usplash change recently?
> 

I got a look at /etc/lsb-base-logging.sh (created by usplash),
and I think that I found the problem :

# cat /etc/lsb-base-logging.sh
[...]
    if log_use_fancy_output && $TPUT xenl >/dev/null 2>&1; then
        COLS=`$TPUT cols`
        if [ "$COLS" ]; then
            COL=`$EXPR $COLS - 7`
        else
            COL=73
        fi
[...]
        printf " * $*       "
        # Enough trailing spaces for ` [fail]' to fit in; if the message
        # is too long it wraps here rather than later, which is what we
        # want.
        $TPUT hpa `$EXPR $COLS - 1`
        printf ' '
    else
        echo " * $@"
        COL=
    fi
[...]
#

and now, THE problem :

florent@test:~$ apt-cache policy ncurses-bin
ncurses-bin:
  Installed: 5.6+20070714-1
  Candidate: 5.6+20070714-1
  Version table:
 *** 5.6+20070714-1 0
        500 http://ftp.fr.debian.org unstable/main Packages
        100 /var/lib/dpkg/status
     5.6-3 0
        500 http://ftp.fr.debian.org testing/main Packages
     5.5-5 0
        500 http://ftp.fr.debian.org etch/main Packages
florent@test:~$ tput cols
-1
florent@test:~$ sudo apt-get install libncurses5=5.6-3 libncursesw5=5.6-3 ncurses-base=5.6-3 ncurses-bin=5.6-3 ncurses-term=5.6-3
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be DOWNGRADED:
  libncurses5 libncursesw5 ncurses-base ncurses-bin ncurses-term
0 upgraded, 0 newly installed, 5 downgraded, 0 to remove and 0 not upgraded.
Need to get 0B/1214kB of archives.
After unpacking 106kB of additional disk space will be used.
Do you want to continue [Y/n]?
dpkg - warning: downgrading ncurses-bin from 5.6+20070714-1 to 5.6-3.
(Reading database ... 29107 files and directories currently installed.)
Preparing to replace ncurses-bin 5.6+20070714-1 (using .../ncurses-bin_5.6-3_i386.deb) ...
Unpacking replacement ncurses-bin ...
Setting up ncurses-bin (5.6-3) ...
dpkg - warning: downgrading libncurses5 from 5.6+20070714-1 to 5.6-3.
(Reading database ... 29108 files and directories currently installed.)
Preparing to replace libncurses5 5.6+20070714-1 (using .../libncurses5_5.6-3_i386.deb) ...
Unpacking replacement libncurses5 ...
Setting up libncurses5 (5.6-3) ...

dpkg - warning: downgrading ncurses-base from 5.6+20070714-1 to 5.6-3.
(Reading database ... 29108 files and directories currently installed.)
Preparing to replace ncurses-base 5.6+20070714-1 (using .../ncurses-base_5.6-3_all.deb) ...
Unpacking replacement ncurses-base ...
Setting up ncurses-base (5.6-3) ...
Installing new version of config file /etc/terminfo/README ...
dpkg - warning: downgrading libncursesw5 from 5.6+20070714-1 to 5.6-3.
(Reading database ... 29108 files and directories currently installed.)
Preparing to replace libncursesw5 5.6+20070714-1 (using .../libncursesw5_5.6-3_i386.deb) ...
Unpacking replacement libncursesw5 ...
dpkg - warning: downgrading ncurses-term from 5.6+20070714-1 to 5.6-3.
Preparing to replace ncurses-term 5.6+20070714-1 (using .../ncurses-term_5.6-3_all.deb) ...
Unpacking replacement ncurses-term ...
Setting up libncursesw5 (5.6-3) ...

Setting up ncurses-term (5.6-3) ...
florent@test:~$ tput cols
80
florent@test:~$

-- 
Florent
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#433357; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Christian Ohm <chr.ohm@gmx.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #20 received at 433357@bugs.debian.org (full text, mbox):

From: Christian Ohm <chr.ohm@gmx.net>
To: 433357@bugs.debian.org
Subject: some clues perhaps
Date: Mon, 16 Jul 2007 18:39:49 +0200
I've also encountered this problem (not even having usplash installed
anymore, just a leftover /etc/lsb-base-logging.sh - that's what you get
for not purging packages...). In lsb-base-logging.sh, there are some
tests for terminal width via "tput cols". For some reason, the result of
that is "-1", from which stuff gets substracted. This is then given to
"tput hpa" (like "tput hpa -9") as an argument, which in result
complains about an invalid option.

I got rid of the problem purging usplash, but it's quite annoying. I
don't really know where the problem is (perhaps the terminfo data got
some faulty update), but one problem is definitely that usplash doesn't
handle the unexpected "tput cols" output well.

Hope that helps,
Christian Ohm

-- 
I always turn to the sports pages first, which record people's accomplishments.
The front page has nothing but man's failures.
		-- Chief Justice Earl Warren



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#433357; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #25 received at 433357@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Christian Ohm <chr.ohm@gmx.net>, 433357@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#433357: some clues perhaps
Date: Mon, 16 Jul 2007 15:51:51 -0400 (EDT)
On Mon, 16 Jul 2007, Christian Ohm wrote:

>
> I've also encountered this problem (not even having usplash installed
> anymore, just a leftover /etc/lsb-base-logging.sh - that's what you get
> for not purging packages...). In lsb-base-logging.sh, there are some
> tests for terminal width via "tput cols". For some reason, the result of
> that is "-1", from which stuff gets substracted. This is then given to
> "tput hpa" (like "tput hpa -9") as an argument, which in result
> complains about an invalid option.

That could be a "-1" for a couple of reasons - I'll check to see if I 
introduced an initialization bug in the restructuring changes to the
ncurses library (the most likely problem that comes to mind).

> I got rid of the problem purging usplash, but it's quite annoying. I
> don't really know where the problem is (perhaps the terminfo data got
> some faulty update), but one problem is definitely that usplash doesn't
> handle the unexpected "tput cols" output well.
>
> Hope that helps,

it sounds useful (thanks)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#433357; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #30 received at 433357@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Christian Ohm <chr.ohm@gmx.net>, 433357@bugs.debian.org
Subject: Re: Bug#433357: some clues perhaps
Date: Mon, 16 Jul 2007 18:32:39 -0400
[Message part 1 (text/plain, inline)]
On Mon, Jul 16, 2007 at 06:39:49PM +0200, Christian Ohm wrote:
> 
> I've also encountered this problem (not even having usplash installed
> anymore, just a leftover /etc/lsb-base-logging.sh - that's what you get
> for not purging packages...). In lsb-base-logging.sh, there are some
> tests for terminal width via "tput cols". For some reason, the result of
> that is "-1", from which stuff gets substracted. This is then given to
> "tput hpa" (like "tput hpa -9") as an argument, which in result
> complains about an invalid option.

See

	ftp://invisible-island.net/ncurses/5.6/ncurses-5.6-20070716.patch.gz

In restructuring things to make it simpler to support reentrant code,
I got to one of those cases where it was awkward and did not appear
needed.  Since it is needed, I repaired it...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Florent Bayle <florent@sarcelle.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 433357-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 433357-close@bugs.debian.org
Subject: Bug#433357: fixed in ncurses 5.6+20070716-1
Date: Tue, 17 Jul 2007 04:32:04 +0000
Source: ncurses
Source-Version: 5.6+20070716-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.6+20070716-1_i386.deb
lib64ncurses5_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.6+20070716-1_i386.deb
libncurses5-dbg_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.6+20070716-1_i386.deb
libncurses5-dev_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.6+20070716-1_i386.deb
libncurses5_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.6+20070716-1_i386.deb
libncursesw5-dbg_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.6+20070716-1_i386.deb
libncursesw5-dev_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.6+20070716-1_i386.deb
libncursesw5_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.6+20070716-1_i386.deb
ncurses-base_5.6+20070716-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.6+20070716-1_all.deb
ncurses-bin_5.6+20070716-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.6+20070716-1_i386.deb
ncurses-term_5.6+20070716-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.6+20070716-1_all.deb
ncurses_5.6+20070716-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.6+20070716-1.diff.gz
ncurses_5.6+20070716-1.dsc
  to pool/main/n/ncurses/ncurses_5.6+20070716-1.dsc
ncurses_5.6+20070716.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.6+20070716.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433357@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 17 Jul 2007 05:26:00 +0200
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term lib32ncurses5-dev lib32ncurses5 libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.6+20070716-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib64ncurses5 - Shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - Developer's libraries for ncurses (64-bit)
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 433357
Changes: 
 ncurses (5.6+20070716-1) unstable; urgency=low
 .
   * New upstream patch level:
     - Fixes problem with tput and -D_REENTRANT (Closes: #433357).
Files: 
 989a1c44fd3eaef40cb594a014ee1c7c 911 libs standard ncurses_5.6+20070716-1.dsc
 e6c582d71d4b38fd2d48851828ce99d0 2385366 libs standard ncurses_5.6+20070716.orig.tar.gz
 80247287c96b90886911b9b8a5ed72fa 37250 libs standard ncurses_5.6+20070716-1.diff.gz
 7e242a758a15cf7e93936fbb5c4d7a19 316778 libs required libncurses5_5.6+20070716-1_i386.deb
 1b77bb0065efa1a7fe63ef6924be0bd8 1462468 libdevel optional libncurses5-dev_5.6+20070716-1_i386.deb
 d4e5faff4e0e15398966b0e5d64c3836 1542122 libdevel extra libncurses5-dbg_5.6+20070716-1_i386.deb
 0ab91478b759f6b01fe73e0f322a4d98 338732 libs important libncursesw5_5.6+20070716-1_i386.deb
 40b4d08c38938bee8b627cc675642c48 462708 libdevel optional libncursesw5-dev_5.6+20070716-1_i386.deb
 cd149ffb87d80182ba04f2171b9edd93 1718830 libdevel extra libncursesw5-dbg_5.6+20070716-1_i386.deb
 e5c47a23db908184f2577a926471081f 337122 libs optional lib64ncurses5_5.6+20070716-1_i386.deb
 e74bb3fa804cc684fad6796a1e27193d 403464 libdevel optional lib64ncurses5-dev_5.6+20070716-1_i386.deb
 9934d31e9fb05be9c42487c97122959b 156652 utils required ncurses-bin_5.6+20070716-1_i386.deb
 98f9cbdf5240f0be1b52aa5dfece5c6f 12948 utils required ncurses-base_5.6+20070716-1_all.deb
 391161ee2480d1d083e2f25ede9b81a3 341244 admin standard ncurses-term_5.6+20070716-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGnENH+C5cwEsrK54RAkU/AJ43qLQ01I6D3Unviq90TCSqsce8gQCgguos
Y1xeE1QFemxiEL0ubCOgM5U=
=sdnF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Aug 2007 07:29:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:48:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.